.glass-cards {
    display: grid;
    gap: 1.5em;
}

.glass-card {
    --duration: 0.4s;
    display: grid;
    box-shadow: var(--shadow--sm);
    border-radius: var(--radius--lg);
    overflow: hidden;
    text-decoration: none;
    color: inherit;
    line-height: 1.4;
    transition: box-shadow var(--duration);
}
.glass-card__media {
    grid-area: 1/1;
    aspect-ratio: 3/4;
    overflow: hidden;
    position: relative;
    transition: filter var(--duration);
}
.glass-card__media > img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: scale var(--duration);
}
.glass-card__content {
    grid-area: 1/1;
    display: grid;
    align-self: end;
    gap: 0;
    padding: 1em;
    z-index: 0;
    color: #fff;

    background: rgb(255 255 255 / 0.1);
    backdrop-filter: blur(12px) brightness(0.95);
    box-shadow: inset 0px 1px 0px rgb(255 255 255 / 0.1),
        inset 0px 2px 8px -2px rgb(255 255 255 / 0.1);
}

.glass-card__title {
    font-weight: 500;
    font-size: 1em;
}
.glass-card__text {
    display: grid;
    font-size: 0.85em;
    opacity: 0.9;
}
.glass-card__text__inner {
    overflow: hidden;
}

.glass-card__text__inner::before,
.glass-card__text__inner::after {
    content: "";
    display: block;
    height: 0.5em;
}

.glass-card__footer {
    display: flex;
    justify-content: end;
    gap: 0.5em;
    padding-top: 0.5em;
    opacity: 0.8;
    font-size: 0.8em;
    line-height: 1;
}

.glass-card__arrow {
    transition: translate var(--duration);
}

@media (min-width: 600px) {
    .glass-cards {
        grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    }

    .glass-card__text {
        grid-template-rows: 0fr;
        transition: grid-template var(--duration);
    }
}

@media (any-hover: hover) {
    .glass-card:hover .glass-card__text {
        grid-template-rows: 1fr;
    }

    .glass-card:hover .glass-card__media {
        filter: brightness(0.85) contrast(1.05);
    }

    .glass-card:hover .glass-card__arrow {
        translate: 4px 0;
    }
}

.glass-card:focus-visible .glass-card__text {
    grid-template-rows: 1fr;
}

.glass-card:focus-visible .glass-card__media {
    filter: brightness(0.85) contrast(1.05);
}

.glass-card:focus-visible .glass-card__arrow {
    translate: 4px 0;
}


